#include <iostream>

#include <blt/gfx/window.h>
#include <imgui.h>
#include "blt/gfx/imgui/IconsFontAwesome5.h"

void init()
{

}

void update(std::int32_t width, std::int32_t height)
{
    ImGui::ShowDemoWindow();
    ImGui::Text("%s among %d items", ICON_FA_FILE, 0);
    ImGui::Button(ICON_FA_SEARCH " Search");
    ImGui::End();
}

int main()
{
    blt::gfx::init(blt::gfx::window_data{"My Sexy Window", init, update}.setSyncInterval(1));
    blt::gfx::cleanup();
    return 0;
}
